Extending Qt Creator Manual | SnippetEditorWidget

Extending Qt Creator Manual 4.5.2

# SnippetEditorWidget Class

(TextEditor::SnippetEditorWidget)

The SnippetEditorWidget class is a lightweight editor for code snippets with basic support for syntax highlighting, indentation, and others. More...

Header: | #include <SnippetEditorWidget>
Inherits: | TextEditor::TextEditorWidget

- List of all members, including inherited members

## Public Functions

| SnippetEditorWidget(QWidget *parent = 0)

- 185 public functions inherited from TextEditor::TextEditorWidget

## Signals

void | snippetContentChanged()

- 8 signals inherited from TextEditor::TextEditorWidget

## Protected Functions

virtual void | focusOutEvent(QFocusEvent *event) override

## Reimplemented Protected Functions

virtual int | extraAreaWidth(int *markWidthPtr = 0) const override

- 45 protected functions inherited from TextEditor::TextEditorWidget

### Additional Inherited Members

- 2 properties inherited from TextEditor::TextEditorWidget
- 3 static public members inherited from TextEditor::TextEditorWidget
- 2 static protected members inherited from TextEditor::TextEditorWidget

## Detailed Description

The SnippetEditorWidget class is a lightweight editor for code snippets with basic support for syntax highlighting, indentation, and others.

## Member Function Documentation

### SnippetEditorWidget::SnippetEditorWidget(QWidget *parent = 0)

Default constructs an instance of SnippetEditorWidget.

### `[override virtual protected]` int SnippetEditorWidget::extraAreaWidth(int *markWidthPtr = 0) const

### `[override virtual protected]` void SnippetEditorWidget::focusOutEvent(QFocusEvent *event)

### `[signal]` void SnippetEditorWidget::snippetContentChanged()